Subject: Ftp-WG: Suggestion - blank userid in FTP URLs.

From: Jeffrey Altman <[email-masked]>
Date: Tue, 8 Oct 2002 14:24:54 -0500

What if you simply provide an option to refuse "anonymous" as the
username and return an appropriate error code?

> I get a lot of requests from users for the ability to "pop up a user / 
> password dialog box".  Obviously, this isn't anything to do with my 
> server's implementation which, like other servers, _always_ greets with a 
> 220, and responds to a USER command by asking for a PASS command.  On a 
> little investigation, it turns out to be a direct result of the FTP URLs (a 
> pain in themselves), and the fact that there is currently no generic URL to 
> say that the browser's user must be prompted for user name and password.
> 
> I've given this only light consideration, and wonder if something like 
> "ftp://@sitename" or "ftp://:@sitename" might be a good start - or perhaps 
> "ftp://?@sitename".  The first two obviously conflict with RFC 1739's 
> statement that these specify an empty username and/or password.  The second 
> requires, essentially, that no user on any FTP server have the name "?", or 
> that it should be escaped, something that potentially could cause 
> backwards-compatibility issues.
> 
> So, since these have some problems, can anyone suggest a form of generic 
> FTP URL that could be used to say that the browser must ask its user for a 
> name as well as a password?  Or are the problems I've described simply too 
> insignificant, and one of the above should be adopted?
> 
> Alun.
> ~~~~
> --
> Texas Imperial Software   | Try WFTPD, the Windows FTP Server. Find us at
> 1602 Harvest Moon Place   | http://www.wftpd.com or email [email-masked]
> Cedar Park TX 78613-1419  | VISA/MC accepted.  NT-based sites, be sure to
> Fax/Voice +1(512)258-9858 | read details of WFTPD Pro for NT.
> 
> 

 Jeffrey Altman * Sr.Software Designer     Kermit 95 2.0 GUI available now!!!
 The Kermit Project @ Columbia University  SSH, Secure Telnet, Secure FTP, HTTP
 http://www.kermit-project.org/            Secured with MIT Kerberos, SRP, and 
 [email-masked]               OpenSSL.

---

From: Alun Jones <[email-masked]>
Date: Tue, 8 Oct 2002 15:20:49 -0500

>username and return an appropriate error code?

I've suggested that to each of the users that want the pop-up, but there 
are some who want to have anonymous access _and_ user/password-based 
access.  They want to have a URL that always pops up a dialog, even if the 
anonymous user is enabled at the FTP server.

I know, waah, get over it, but I'm hoping that something more sensible 
could be achieved, and I know that there's been one or two browser authors 
posting here who might want to chime in.

Alun.
~~~~